# Manage Fee

## Manage Fee

The Manage Fee API allows adding, updating and deleting fees.

## Input Parameters:

| Name                 | Required | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Comments                           |
| -------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| Amount               | N        | <p>Format: Numeric, 1-9<br>Description: The amount is in cents.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | Create and Update Request          |
| FeeOwner             | N        | <p>Format options:<br>Prx (default)<br>Prc</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Create and Update Request          |
| HierarchyEntityName1 | Y        | Format: Alphanumeric, 1-120 (no validation)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Create, Update, and Delete Request |
| HierarchyEntityName2 | C        | <p>Format: Alphanumeric, 1-120<br>Description: Can be use only if <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">HierarchyEntityType</a>= ORG\_PT.<br>In this case, <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">HierarchyEntityName1</a> is the ORG and <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">HierarchyEntityName2</a> is the PT</p> | Create, Update, and Delete Request |
| HierarchyEntityType  | Y        | <p>Format options:<br>SUBBIN<br>PROGRAM<br>PT<br>ORG\_PROGRAM<br>ORG\_PT<br>CARD<br></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Create, Update, and Delete Request |
| OperationType        | Y        | <p>Format options:<br>Create<br>Update<br>Delete</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Create, Update, and Delete Request |
| Param1               | N        | Format: Alphanumeric, 1-20 (default empty)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Create and Update Request          |
| Param2               | N        | Format: Alphanumeric, 1-255 (default empty)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Create and Update Request          |
| Param3               | N        | Format: Alphanumeric, 1-255 (default empty) (future)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Create and Update Request          |
| Param4               | N        | Format: Alphanumeric, 1-255 (default empty) (future)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Create and Update Request          |
| PartialFee           | N        | Format:Y(default) / N                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | Create and Update Request          |
| PraxellCode          | Y        | <p>Format: Alphanumeric, 6<br>Description: validates if exists</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Create, Update, and Delete Request |
| RetryFee             | N        | Format:Y(default) / N                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | Create and Update Request          |
| RuleName             | N        | Format: Alphanumeric, 1-255 (no validation)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Create and Update Request          |
| Status               | N        | Format: ACTIVE (default) ALL                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | Create and Update Request          |

## Output Parameters:

## XML Samples

### Input XML

```json
<PraxellXMLRequest>
    <AuthenticationDetails>
        <UserName>st_manager</UserName>
        <UserPassword>st_manager</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <ServiceName>ManageFee</ServiceName>
        <UniqueRequestId>1212121212121213</UniqueRequestId>
    </ServiceDetails>
    <Origin>
        <OriginType>ExtAPI</OriginType>
    </Origin>
    <ServiceParams>
        <OperationType>Create</OperationType>
        <PraxellCode>XP66DS</PraxellCode>
        <HierarchyEntityType>SUBBIN</HierarchyEntityType>
        <HierarchyEntityName1>991909000</HierarchyEntityName1>
        <HierarchyEntityName2></HierarchyEntityName2>
        <Amount>1234567</Amount>
        <Param1>shay</Param1>
        <Param2>rubin</Param2>
        <PartialFee></PartialFee>
        <RetryFee></RetryFee>
        <RuleName>SimpleFeeRule</RuleName>
        <FeeOwner></FeeOwner>
        <Status></Status>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>ManageFee</ServiceName>
        <SessionId>41278715200904123</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2009-12-06 15:04:32</ServiceDate>
        <ServiceId>41278715200904123</ServiceId>
    </ResponseDetails>
   <ResponseParams>
   </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ManageFee</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/manage-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
